Subject: Sun Patch fix to Solaris 5.5.1 ftp and in.ftpd

From: "Hepp, Paul" <[email-masked]>
Date: Thu, 26 Mar 1998 12:04:14 -0500

Hi all,
I have wu-ftpd 2.4.2 - beta 14 installed. I found this patch at Sun
Solve. Will 2.4.2b14 break if I install the attached patch? I think it
will.
 Has anyone run into this?
I am a novice, any and all help is needed.
Paul
[email-masked] 

Patch-ID# 103603-07
Keywords: security ftp nfs memory leak core getreply domap rsh rexec
in.ftpd
Synopsis: SunOS 5.5.1: ftp, in.ftpd, in.rexecd and in.rshd patch
Date: Mar/02/98

Solaris Release: 2.5.1

SunOS Release: 5.5.1

Unbundled Product: 

Unbundled Release: 

Xref: This patch available for x86 as patch 103604

Topic: SunOS 5.5.1: ftp, in.ftpd, in.rexecd and in.rshd patch

BugId's fixed with this patch: 1144333 1198215 1246408 1249667 1251275
1255435
                               1256632 4066864 

Changes incorporated in this version: 4066864

Relevant Architectures: sparc

Patches accumulated and obsoleted by this patch:  

Patches which conflict with this patch: 

Patches required with this patch: 

Obsoleted by: 

Files included with this patch:

/usr/bin/ftp
/usr/sbin/in.ftpd
/usr/sbin/in.rexecd
/usr/sbin/in.rshd

Problem Description:

4066864 in.rexecd does not prevent access to expired accounts

(from 103603-06)

1144333 ftp abuses malloc/free - Segmentation Fault at multiple mput

(from 103603-05)

1246408 ftp may be used to get root access from port 20 to other
machines